| Modifier and Type | Class and Description |
|---|---|
class |
AbstractServerHttpExchange
Abstract base class for
ServerHttpExchange. |
| Modifier and Type | Method and Description |
|---|---|
ServerHttpExchange |
ServerHttpExchange.bodyAction(Action<Data> action)
Attaches an action to be called with the whole request body where the
request ends.
|
ServerHttpExchange |
AbstractServerHttpExchange.bodyAction(Action<Data> action) |
ServerHttpExchange |
ServerHttpExchange.close()
Closes the response.
|
ServerHttpExchange |
AbstractServerHttpExchange.close() |
ServerHttpExchange |
ServerHttpExchange.close(ByteBuffer byteBuffer)
Writes a byte to the response body and close the response.
|
ServerHttpExchange |
AbstractServerHttpExchange.close(ByteBuffer data) |
ServerHttpExchange |
ServerHttpExchange.close(String data)
Writes a string to the response body and close the response.
|
ServerHttpExchange |
AbstractServerHttpExchange.close(String data) |
ServerHttpExchange |
ServerHttpExchange.closeAction(Action<Void> action)
Attaches an action to be called on response close.
|
ServerHttpExchange |
AbstractServerHttpExchange.closeAction(Action<Void> action) |
ServerHttpExchange |
ServerHttpExchange.setHeader(String name,
Iterable<String> value)
Sets response headers.
|
ServerHttpExchange |
AbstractServerHttpExchange.setHeader(String name,
Iterable<String> value) |
ServerHttpExchange |
ServerHttpExchange.setHeader(String name,
String value)
Sets a response header.
|
ServerHttpExchange |
AbstractServerHttpExchange.setHeader(String name,
String value) |
ServerHttpExchange |
ServerHttpExchange.setStatus(HttpStatus status)
Sets the HTTP status for the response.
|
ServerHttpExchange |
AbstractServerHttpExchange.setStatus(HttpStatus status) |
ServerHttpExchange |
ServerHttpExchange.write(ByteBuffer byteBuffer)
Writes a byte body to the response body.
|
ServerHttpExchange |
AbstractServerHttpExchange.write(ByteBuffer byteBuffer) |
ServerHttpExchange |
ServerHttpExchange.write(String data)
Writes a text to the response body.
|
ServerHttpExchange |
AbstractServerHttpExchange.write(String data) |
| Modifier and Type | Class and Description |
|---|---|
class |
AtmosphereServerHttpExchange
ServerHttpExchange for Atmosphere 2. |
| Modifier and Type | Method and Description |
|---|---|
AtmosphereBridge |
AtmosphereBridge.httpAction(Action<ServerHttpExchange> action)
Adds an action to be called on HTTP request with
ServerHttpExchange. |
| Modifier and Type | Class and Description |
|---|---|
class |
PlayServerHttpExchange
ServerHttpExchange for Play 2. |
| Modifier and Type | Class and Description |
|---|---|
class |
ServletServerHttpExchange
ServerHttpExchange for Servlet 3. |
| Modifier and Type | Method and Description |
|---|---|
ServletBridge |
ServletBridge.httpAction(Action<ServerHttpExchange> action)
Adds an action to be called on HTTP request with
ServerHttpExchange. |
| Modifier and Type | Class and Description |
|---|---|
class |
VertxServerHttpExchange
ServerHttpExchange for Vert.x 2. |
| Modifier and Type | Method and Description |
|---|---|
VertxBridge |
VertxBridge.httpAction(Action<ServerHttpExchange> action)
Adds an action to be called on HTTP request with
ServerHttpExchange. |
| Modifier and Type | Method and Description |
|---|---|
Action<ServerHttpExchange> |
ServerHttpExchangeTestTemplate.Performer.serverAction() |
| Modifier and Type | Method and Description |
|---|---|
ServerHttpExchangeTestTemplate.Performer |
ServerHttpExchangeTestTemplate.Performer.serverAction(Action<ServerHttpExchange> serverAction) |
Copyright 2014, The Vibe Project